Uses Crt,Gif,ModeXLib,Fade;
Var
  Text_Pal:Array[0..767] of Byte;
  i:word;

Begin
  Init_Mode13;                  {use Mode 13h}
  Screen_Off;                   {screen off during loading}
  LoadGif('vflog210');          {load static part}
  Move(Palette[210*3],          {its palette part (colors 210..255)}
  Text_Pal[210*3],46*3);        {enter}
  Show_Pic13;                   {copy static picture to VGA}

  LoadGif('texts');             {load picture with texts}
  Move(Palette,Text_Pal,14*3);  {its palette part (colors 0..13)}
                                {enter}
  Move(Text_Pal,Palette,768);   {set finished palette}
  SetPal;

  Move(vscreen^,                {first text can be copied}
    Ptr($a000,160*320)^,19*320);{directly to screen}
  Screen_On;                    {picture now finished -> switch on}
  Colors:=14;                   {pictures with 14 colors in this program !}

  For i:=1 to 6 do Begin        {fade to the next 6 texts, one after the other}
    Delay(500);                 {time to read}
    Fade1(vscreen,              {fade next picture to old location (y=160)}
      text_pal,i*20,160,19);
    Fade_ResetPic(160,19);      {and "reset"}
    If KeyPressed Then Exit;    {anyone who has had enough can cancel here}
  End;

  Readln;
  TextMode(3);
End.
